
Redmine - Defect #26219

At start: multipart.rb warning: already initialized constant 

2017-06-21 14:16 - Konstantin Nifanin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello!

3 year my Redmine work, but now I get this messages at start redmine-deamon:

[root@support ~]# /etc/init.d/redmine start

/etc/init.d/redmine: line 33: kill: (2395) - No such process

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:10: warning: already ini

tialized constant EOL

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:11: warning: already ini

tialized constant MULTIPART_BOUNDARY

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:12: warning: already ini

tialized constant MULTIPART

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:13: warning: already ini

tialized constant TOKEN

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:14: warning: already ini

tialized constant CONDISP

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:15: warning: already ini

tialized constant DISPPARM

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:16: warning: already ini

tialized constant RFC2183

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:17: warning: already ini

tialized constant BROKEN_QUOTED

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:18: warning: already ini

tialized constant BROKEN_UNQUOTED

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:19: warning: already ini

tialized constant MULTIPART_CONTENT_TYPE

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:20: warning: already ini

tialized constant MULTIPART_CONTENT_DISPOSITION

/usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/multipart.rb:21: warning: already ini

tialized constant MULTIPART_CONTENT_ID

master failed to start, check stderr log for details

 I not update my programs and this Redmine installed other man.

My Rudy is

[root@support redmine]# ruby -v

ruby 1.8.7 (2014-01-28 patchlevel 376) [x86_64-linux]

[root@support redmine]# type ruby 

ruby is hashed (/usr/local/rvm/rubies/ruby-1.8.7-head/bin/ruby)

 But other versions I can't get:

[root@support redmine]# ruby bin/about

/var/www/redmine/config/boot.rb:4:in `require': no such file to load -- bundler/setup (LoadError)

    from /var/www/redmine/config/boot.rb:4

    from /var/www/redmine/config/application.rb:1:in `require'

    from /var/www/redmine/config/application.rb:1

    from /var/www/redmine/config/environment.rb:2:in `require'

    from /var/www/redmine/config/environment.rb:2
    from bin/about:4:in `require'

    from bin/about:4

 OS CentOS 6.6

PostgreSQL 9.3

What to hipping with this Redmine? How to fixed this "already initialized constant"

History

#1 - 2017-06-21 14:20 - Konstantin Nifanin

And this logged too:

I, [2017-06-21T15:19:06.820547 #2507]  INFO -- : Refreshing Gem list

/var/www/redmine/Gemfile:18:in `eval_gemfile':  (Bundler::Dsl::DSLError)

[!] There was an error parsing `Gemfile`: compile error - syntax error, unexpected ':', expecting $end

gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin, :jruby]

                             ^. Bundler cannot continue.

 #  from /var/www/redmine/Gemfile:18

 #  -------------------------------------------

 #  # Windows does not include zoneinfo files, so bundle the tzinfo-data gem

 >  gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin, :jruby]

 #  gem "rbpdf", "~> 1.18.5" 

 #  -------------------------------------------

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/bundler-1.10.5/lib/bundler/dsl.rb:10:in `evaluate'

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/bundler-1.10.5/lib/bundler/definition.rb:26:in `build'

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/bundler-1.10.5/lib/bundler.rb:155:in `definition'

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/bundler-1.10.5/lib/bundler.rb:123:in `setup'

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/bundler-1.10.5/lib/bundler/setup.rb:18

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `gem_original_require'

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `require'

    from /var/www/redmine/config/boot.rb:4

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `gem_original_require'

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `require'

    from /var/www/redmine/config/application.rb:1

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `gem_original_require'

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `require'

    from /var/www/redmine/config/environment.rb:2

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `gem_original_require'

    from /usr/local/rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:54:i

n `require'

    from config.ru:4

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/builder.rb:55:in `instance_eval'

    from /usr/local/rvm/gems/ruby-1.8.7-head/gems/rack-1.6.4/lib/rack/builder.rb:55:in `initialize'

    from config.ru:1:in `new'

    from config.ru:1

#2 - 2017-06-21 14:26 - Konstantin Nifanin

[root@support-rst redmine]# bundle env

Environment

[root@support redmine]# bundle env

    Bundler   1.10.5

    Rubygems  2.4.8

    Ruby      1.8.7 (2014-01-28 patchlevel 376) [x86_64-linux]

    GEM_HOME  /usr/local/rvm/gems/ruby-1.8.7-head

    GEM_PATH  /usr/local/rvm/gems/ruby-1.8.7-head:/usr/local/rvm/gems/ruby-1.8.7-head@global

    RVM       1.26.11 (latest)

    Git       1.7.1

    rubygems-bundler (1.4.4)

#3 - 2017-06-21 15:04 - Holger Just

The last version of Redmine to still support Ruby 1.8.7 was Redmine 2.6.  Ruby 1.8.7 is not maintaine since about 3 years now, Redmine 2.6 is

unmaintained for about a year now. About everything in your Ruby stack is seriously outdated and not maintained anymore.
Please update to a newer version of Ruby and Redmine.

#4 - 2017-06-21 15:31 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
